Skip to main content
GET
List experiments

Authorizations

Authorization
string
header
required

Most Braintrust endpoints are authenticated by providing your API key as a header Authorization: Bearer [api_key] to your HTTP request. You can create an API key in the Braintrust organization settings page.

Query Parameters

limit
integer | null
default:1000

Limit the number of objects to return

Required range: x >= 0
starting_after
string<uuid>

Pagination cursor id.

For example, if the final item in the last page you fetched had an id of foo, pass starting_after=foo to fetch the next page. Note: you may only pass one of starting_after and ending_before

ending_before
string<uuid>

Pagination cursor id.

For example, if the initial item in the last page you fetched had an id of foo, pass ending_before=foo to fetch the previous page. Note: you may only pass one of starting_after and ending_before

ids

Filter search results to a particular set of object IDs. To specify a list of IDs, include the query param multiple times

experiment_name
string

Name of the experiment to search for

project_name
string

Name of the project to search for

project_id
string<uuid>

Project id

metadata
string

Filter experiments by metadata. Pass a JSON-serialized object, such as {"model":"gpt-5","config":{"temperature":0}}. Only experiments whose metadata matches all specified filter keys and values are returned. Nested object values filter on nested keys. Array values are not supported. The object must contain at least one key; an empty object ({}) matches no experiments.

org_name
string

Filter search results to within a particular organization

Response

Returns a list of experiment objects

objects
object[]
required

A list of experiment objects